- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# COffscreenContext Class Reference

A drawing device which uses a pixmap as its drawing surface. More...

`#include <vstgui.h>`

Inheritance diagram for COffscreenContext:

List of all members.

## Public Member Functions
| COffscreenContext (CDrawContext *pContext, CBitmap *pBitmap, bool drawInBitmap=false)
| COffscreenContext (CFrame *pFrame, long width, long height, const CColor backgroundColor=kBlackCColor)
virtual | ~COffscreenContext ()
void | copyFrom (CDrawContext *pContext, CRect destRect, CPoint srcOffset=CPoint(0, 0))
| copy from offscreen to pContext
void | copyTo (CDrawContext *pContext, CRect &srcRect, CPoint destOffset=CPoint(0, 0))
| copy to offscreen from pContext
CCoord | getWidth () const
CCoord | getHeight () const
## Protected Attributes
CBitmap * | pBitmap
CBitmap * | pBitmapBg
CCoord | height
CCoord | width
bool | bDestroyPixmap
CColor | backgroundColor

## Detailed Description

A drawing device which uses a pixmap as its drawing surface.

## Constructor & Destructor Documentation

COffscreenContext::COffscreenContext | ( | CDrawContext * | pContext,
|  | CBitmap * | pBitmap,
|  | bool | drawInBitmap = `false`
| ) |

COffscreenContext::COffscreenContext | ( | CFrame * | pFrame,
|  | long | width,
|  | long | height,
|  | const CColor | backgroundColor = `kBlackCColor`
| ) |

COffscreenContext::~COffscreenContext | ( |  | ) | `[virtual]`

## Member Function Documentation

void COffscreenContext::copyFrom | ( | CDrawContext * | pContext,
|  | CRect | destRect,
|  | CPoint | srcOffset = `CPoint(0, 0)`
| ) |

| copy from offscreen to pContext

void COffscreenContext::copyTo | ( | CDrawContext * | pContext,
|  | CRect & | srcRect,
|  | CPoint | destOffset = `CPoint(0, 0)`
| ) |

| copy to offscreen from pContext

CCoord COffscreenContext::getHeight | ( |  | ) | const`[inline]`

CCoord COffscreenContext::getWidth | ( |  | ) | const`[inline]`

## Member Data Documentation

CColor COffscreenContext::backgroundColor`[protected]`

bool COffscreenContext::bDestroyPixmap`[protected]`

CCoord COffscreenContext::height`[protected]`

CBitmap* COffscreenContext::pBitmap`[protected]`

CBitmap* COffscreenContext::pBitmapBg`[protected]`

CCoord COffscreenContext::width`[protected]`

The documentation for this class was generated from the following files:

- vstgui.h
- vstgui.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.